import request from "../../request.js"
export function appPersonal(patientId) {
	return request({
		url: `/nurseApp/login/appPersonal?patientId=${patientId}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token'),
			region: uni.getStorageSync('region'),
		},
	})
}


//邀请
export function inviteFriends(patientId) {
	return request({
		url: `/nurseApplet/patientInfo/inviteFriends?inviteId=${patientId}`,
		method: 'post',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}

// 获取已绑定家庭成员列表
export function getFamilyList(openid,patientCode) {
  return request({
    url: `/applet/register/switchResident/${openid}/${patientCode}`,
	method: 'get',
  })
}
// 添加家庭成员
export function registerdata(data) {
	return request({
		url: '/applet/register',
		method: 'POST',
		data: data
	})
}
// 获取当前注册居民
export function getCurrentUser(openid) {
	return request({
		url: `/applet/register/getList/${openid}`,
		method: 'GET',
		header: {
			// Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
// 切换
export function switchResident(openid,patientCode) {
	return request({
		url: `/applet/register/switchResident/${openid}/${patientCode}`,
		method: 'GET',
		header: {
			// Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
